# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| C4b XPHONE | All |  |  | Unknown | [link](https://www.c4b.com/de/news/log4j.php) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Campbell Scientific | All |  |  | Not Affected | [link](https://s.campbellsci.com/documents/us/miscellaneous/log4j2-vulnerability.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| Camunda | All |  |  | Unknown | [link](https://forum.camunda.org/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228/31910) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Canary Labs | All |  |  | Not Affected | [link](https://helpcenter.canarylabs.com/t/83hjjk0/log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Canon | Canon DR Products (CXDI_NE) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) | Such as Omnera, FlexPro, Soltus, and more. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | CT Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Eye-Care Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | iCAD |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Invia |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Medis |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Mevis |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Mirada |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | MR Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | NM Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Olea |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Olea Sphere |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Rialto |  | 7.x | Fixed | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) | Contact customer support. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Rialto Connect and Vault |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Solution Health (Cloud) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Solution Health (On-Prem) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Tomtec |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | UL Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Vitrea Advanced | 7.x |  | Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) | Contact customer support. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Vitrea Connection | 8.x |  | Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) | Contact customer support. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Vitrea View |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | VL Alphenix Angio Workstation (AWS) | All |  | Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | VL Infinix-i and Alphenix DFP |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | VL Infinix-i Angio Workstation (AWS) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | XR Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Zillion |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Carbon Black | Cloud Workload Appliance |  |  | Fixed | [link](https://community.carbonblack.com/t5/Documentation-Downloads/Log4Shell-Log4j-Remote-Code-Execution-CVE-2021-44228/ta-p/109134) | More information on pages linked bottom of blogpost (behind login). This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Carbon Black | EDR Servers |  |  | Fixed | [link](https://community.carbonblack.com/t5/Documentation-Downloads/Log4Shell-Log4j-Remote-Code-Execution-CVE-2021-44228/ta-p/109134) | More information on pages linked bottom of blogpost (behind login). This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Carestream | All |  |  | Not Affected | [link](https://www.carestream.com/en/us/services-and-support/cybersecurity-and-privacy) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Carrier |  |  |  | Not Affected | [link](https://www.corporate.carrier.com/product-security/advisories-resources/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CAS genesisWorld | All |  |  | Unknown | [link](https://helpdesk.cas.de/CASHelpdesk/FAQDetails.aspx?gguid=0x79F9E881EE3C46C1A71BE9EB3E480446) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cato Networks | All |  |  | Unknown | [link](https://www.catonetworks.com/blog/cato-networks-rapid-response-to-the-apache-log4j-remote-code-execution-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cendio | ThinLinc |  |  | Not Affected | [link](https://community.thinlinc.com/t/log4shell-vulnerability/286) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Cepheid | C360 |  |  | Not Affected | [link](https://www.cepheid.com/en_US/legal/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Cepheid | GeneXpert |  |  | Unknown | [link](https://www.cepheid.com/en_US/legal/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Cerberus | FTP |  |  | Not Affected | [link](https://support.cerberusftp.com/hc/en-us/articles/4412448183571-Cerberus-is-not-affected-by-CVE-2021-44228-log4j-0-day-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cerebrate | All |  |  | Not Affected | [link](https://twitter.com/cerebrateproje1/status/1470347775141421058) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cerebro | Elasticsearch Web Admin |  |  | Not Affected | [link](https://github.com/lmenezes/cerebro/blob/main/conf/logback.xml#L5) | Uses logback for logging. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chaser Systems | discrimiNAT Firewall |  |  | Not Affected | [link](https://chasersystems.com/discrimiNAT/blog/log4shell-and-its-traces-in-a-network-egress-filter/#are-chasers-products-affected) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chatsworth Products | eConnect PDU |  |  | Not Affected | [link](https://user-images.githubusercontent.com/89155495/146845501-b2186f1b-ccce-4f3d-a2c3-373db2eed9f0.png) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | CloudGuard |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Harmony Endpoint |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Harmony Mobile |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Infinity Portal |  |  | Unknown | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Quantum Security Gateway |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Quantum Security Management |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) | Where used, uses the 1.8.0\_u241 version of the JRE that protects against this attack by default. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | SMB |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | ThreatCloud |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CheckMK | All |  |  | Unknown | [link](https://forum.checkmk.com/t/checkmk-not-affected-by-log4shell/28643/3) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chef | Automate |  |  | Not Affected | [link](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j)) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chef | Backend |  |  | Not Affected | [link](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j)) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chef | Infra Server |  |  | Not Affected | [link](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j)) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ciphermail | All |  |  | Unknown | [link](https://www.ciphermail.com/blog/ciphermail-gateway-and-webmail-messenger-are-not-vulnerable-to-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CircleCI | CircleCI |  |  | Unknown | [link](https://discuss.circleci.com/t/circleci-log4j-information-cve-2021-4422) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| CIS | CAT Lite |  | 4.13.1 | Fixed | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | CAT Pro Assessor v3 Full and Dissolvable |  | 3.0.78 | Fixed | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | CAT Pro Assessor v4 |  | 4.13.1 | Fixed | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | CAT Pro Assessor v4 Service |  | 1.13.1 | Fixed | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | CAT Pro Dashboard |  |  | Not Affected | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | CSAT Pro |  | 1.7.2 | Fixed | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | Hosted CSAT |  |  | Not Affected | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CIS | WorkBench |  |  | Not Affected | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco 220 Series Smart Plus Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco 250 Series Smart Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco 350 Series Managed Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco 5000 Series Enterprise Network Compute System (ENCS) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco 550 Series Stackable Managed Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ACI Multi-Site Orchestrator |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ACI Virtual Edge |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Advanced Malware Protection for Endpoints |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Adaptive Security Appliance (ASA) Software |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Adaptive Security Device Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Adaptive Security Virtual Appliance (ASAv) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Advanced Web Security Reporting Application |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco AireOS Wireless LAN Controllers |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Aironet Access Points |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco AMP Virtual Private Cloud Appliance |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco AnyConnect Secure Mobility Client |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Application Policy Infrastructure Controller (APIC) |  | 4.2(7r), 5.2(3g) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Application Policy Infrastructure Controller Enterprise Module (APIC-EM) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ASR 5000 Series Routers |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Automated Subsea Tuning |  | 2.1.0.4 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco BroadWorks |  | 2021.11_1.162, ap381882 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business 100 and 200 Series Access Points |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business 220 Series Smart Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business 250 Series Smart Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business 350 Series Managed Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business Dashboard |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business Process Automation |  | 3.0.000.115, 3.1.000.044, 3.2.000.009 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Business Wireless |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Call Studio |  | 11.6, 12.0, 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Catalyst 9100 Series Access Points |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Catalyst 9800 Series Wireless Controllers |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Cloud Connect |  | 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Cloud Services Plaform 2100 |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Cloud Services Platform 5000 Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter |  | 4.10.0.16 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Action Orchestrator |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Cost Optimizer |  | 5.5.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Suite Admin |  | 5.3.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Workload Manager |  | 5.5.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Common Services Platform Collector (CSPC) |  | 2.10.0.1, 2.9.1.3 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Connected Grid Device Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Connected Mobile Experiences (CMX) |  | 10.6.3-70, 10.6.3-105, 10.6.2-89, 10.4.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Contact Center Domain Manager (CCDM) |  | 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Contact Center Management Portal (CCMP) |  | 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Container Platform |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Change Automation |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Data Gateway |  | 2.0.2, 3.0.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Health Insights |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Network Controller |  | 2.0.1, 3.0.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Optimization Engine |  | 2.0.1, 3.0.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Platform Infrastructure |  | 4.0.1, 4.1.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Service Health |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Situation Manager |  | 8.0.0.8 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Zero Touch Provisioning (ZTP) |  | 2.0.1, 3.0.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CX Cloud Agent Software |  | 1.12.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Cyber Vision Sensor Management Extension |  | 4.0.3 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Data Center Network Mangager (DCNM) |  | 12.0(2f), 11.3(1), 11.4(1), 11.5(1), 11.5(2), 11.5(3) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco DNA Center |  | 2.1.2.8, 2.2.2.8, 2.2.3.4 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco DNA Spaces Connector |  | v2.0.588, v2.2.12 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Elastic Services Controller (ESC) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Email Security Appliance (ESA) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Emergency Responder |  | 11.5(4)SU9, 11.5(4)SU10 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Enterprise Chat and Email |  | 12.0, 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Enterprise NFV Infrastructure Software (NFVIS) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Evolved Programmable Network Manager |  | 5.1.3.1, 5.0.2.1, 4.1.1.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Expressway Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Finesse |  | 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Management Center |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Next-Generation Intrusion Prevention System (NGIPS) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Threat Defense (FTD) managed by Cisco Firepower Management Center |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Threat Defense (FTD) managed by Firepower Device Manager (FDM) |  | 6.2.3, 6.4.0, 6.6.5, 6.7.0, 7.0.1, 7.1.0 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco FXOS Firepower Chassis Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco GGSN Gateway GPRS Support Node |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco GS7000 Nodes |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Headset 500 and 700 Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Hosted Collaboration Mediation Fulfillment |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Hyperflex Storage Replication Adapter |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Hyperflex System |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Identity Services Engine (ISE) |  | 2.4 hotfix, 2.6 hotfix, 2.7 hotfix, 3.0 hotfix, 3.1 hotfix | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Integrated Management Controller (IMC) Supervisor |  | 2.3.2.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Intelligent Node (iNode) Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Intersight Mobile App |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Intersight Virtual Appliance |  | 1.0.9-361 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOS |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOS Access Points |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOS XE Software |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOS XR Software |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IoT Field Network Director |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOx Fog Director |  | 1.14.5, 1.16.4 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IP Phones |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IP Phones with Multiplatform Firmware |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IP Services Gateway (IPSG) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Jabber |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Jabber Guest |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco MDS 9000 Series Multilayer Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meeting Management (CMM) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meeting Server |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki Go Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki MR Series Cloud-Managed Wireless Access Points |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki MS Series Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki MT Series Sensors |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki MV Series Cloud-Managed Smart Cameras |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki MX Series Cloud-Managed Security and SD-WAN |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki Systems Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meriaki Z-Series Cloud-Managed Teleworker Gateway |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco MME Mobility Management Entity |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Mobility Services Engine |  | 7.14.4 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Mobility Unified Reporting and Analytics System |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Modeling Labs |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco NCS 2000 Shelf Virtualization Orchestrator |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Assurance Engine |  | 6.0.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Convergence System 1004 |  | 7.3.2, 7.3.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Convergence System 2000 Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Services Orchestrator (NSO) |  | nso-5.3.5.1, nso-5.4.5.2, nso-5.5.4.1, nso-5.6.3.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 3000 Series Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 5500 Platform Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 5600 Platform Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 6000 Series Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 7000 Series Switches |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 9000 Series Fabric Switches in Application Centric Infrastructure (ACI) Mode |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 9000 Series Switches in standalone NX-OS Mode |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Dashboard |  | 2.1.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Application Services Engine |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Dashboard Data Broker |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Insights |  | 6.0.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ONS 15454 Series Multiservice Provisioning Platforms |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Optical Network Controller |  | 1.1.0 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Optical Network Planner |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Packaged Contact Center Enterprise |  | 11.6, 12.0, 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Paging Server |  | 14.4.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco PDSN/HA Packet Data Serving Node and Home Agent |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco PGW Packet Data Network Gateway |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Policy Suite |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Access Registrar |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Cable Provisioning |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Central for Service Providers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Collaboration Assurance |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Collaboration Deployment |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Collaboration Provisioning |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Infrastructure |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime IP Express |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime License Manager |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Network |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Network Registrar |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Optical for Service Providers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Performance Manager |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Provisioning |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Service Catalog |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Process Orchestrator |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Remote PHY 120 |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RF Gateway Series |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV110W Wireless-N VPN Firewall |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV130 VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV130W Wireless-N Multifunction VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV132W ADSL2+ Wireless-N VPM Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV134W VDSL2 Wireless-AC VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV160 VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV160W Wireless-AC VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV215W Wireless-N VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV260 VPN Routers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV260P VPN Router with PoE |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV260W Wireless-AC VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV320 Dual Gigabit WAN VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV325 Dual Gigabit WAN VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV340 Dual WAN Gigabit VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV340W Dual WAN Gigabit Wireless-AC VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV345 Dual WAN Gigabit VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco RV345P Dual WAN Gigabit POE VPN Router |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vBond Controller Software |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 100 Series Routers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 1000 Series Routers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 2000 Series Routers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 5000 Series Routers |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge Cloud Router Platform |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vManage |  | 20.3.4.1, 20.4.2.1, 20.5.1.1, 20.6.2.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vSmart Controller Software |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Agile Exchange (SAE) Core Function Pack |  | 2.4.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Email and Web Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Content Security Management Appliance (SMA) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Email Encryption Add-in |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Email Encryption Plugin for Outlook |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Email Encryption Security Plugin for Outlook |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Endpoint |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Advanced Malware Protection for Endpoints |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Stealthwatch Enterprise, Advanced Host Group Automation (AHGA) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Stealthwatch Enterprise, Flow Adapter |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Stealthwatch Enterprise, Network Forensics (NFA) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Stealthwatch Enterprise, Proxy Adapter |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Stealthwatch Enterprise, Cisco Secure Services Proxy (CSSP) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Security Malware Analytics Appliance |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Threat Grid Appliance |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Security Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Small Business 200 Series Smart Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Small Business 300 Series Managed Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Small Business 500 Series Stackable Managed Switches |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Smart PHY |  | 3.1.4, 3.2.0, 3.2.1, 21.3 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Smart Software Manager On-Prem |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Advanced Malware Protection for Endpoints |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SocialMiner |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco System Architecture Evolution Gateway (SAEGW) |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Telemetry Broker |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Formerly Cisco Advanced Malware Protection for Endpoints |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco TelePresence Endpoints |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco TelePresence Management Suite |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco TelePresence Video Communication Server (VCS) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Tetration Analytics |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS Central Software |  | 2.0(1p) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS Director |  | 6.8.2.0 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS E-Series Servers |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Cloud Core - Access and Mobility Management Function |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Cloud Core - Policy Control Function |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Cloud Core - Redundancy Configuration Manager |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Cloud Core - Session Management Function |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Cloud Core - Subscriber Microservices Infrastructure |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Packet Core |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Reliable Wireless Backhaul |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Ultra Services Platform |  | 12.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Advanced |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Business Edition |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Department Edition |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Enterprise Edition |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Premium Edition |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Communications Domain Manager |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Communications Manager |  | 11.5(1)SU7, 11.5(1)SU8, 11.5(1)SU9, 11.5(1)SU10, 11.5(1.18119-2) - 11.5(1.23162-1) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Communications Manager IM &amp; Presence Service |  | 11.5(1)SU7, 11.5(1)SU8, 11.5(1)SU9, 11.5(1)SU10, 11.5(1.18900-16) - 11.5(1.18901-3) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Communications Manager Session Management Edition |  | 11.5(1)SU7, 11.5(1)SU8, 11.5(1)SU9, 11.5(1)SU10, 11.5(1.18119-2) - 11.5(1.23162-1) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Enterprise |  | 11.6, 12.0, 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Enterprise - Live Data Server |  | 11.6(1)ES23, 12.0(1)ES18, 12.5(1)ES13, 12.6(1)ES03 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Express |  | 12.5 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Customer Voice Portal |  | 11.6, 12.0, 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Intelligence Center |  | 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified SIP Proxy Software |  | 10.2.1v2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unity Connection |  | 11.5(1)SU7, 11.5(1)SU8, 11.5(1)SU9, 11.5(1)SU10, 11.5(1.18119-2) - 11.5(1.23162-1) | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unity Express |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Video Surveillance Media Server |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Video Surveillance Operations Manager |  | 7.14.4 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Virtual Topology System (VTS) |  | 2.6.7 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Virtualized Infrastructure Manager |  | 3.2.x, 3.4.4, 3.4.6, 4.2.0, 4.2.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Virtualized Voice Browser |  | 12.5, 12.6 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Vision Dynamic Signage Director |  | 6.4 SP3 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Contact Cisco TAC for a patch. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAN Automation Engine (WAE) |  | 7.5.0.1, 7.4.0.1, 7.3.0.2 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP125 Wireless-AC Dual Band Desktop Access Point with PoE |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP150 Wireless-AC/N Dual Radio Access Point with PoE |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP361 Wireless-AC/N Dual Radio Wall Plate Access Point with PoE |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP371 Wireless-AC/N Radio Access Point with Single Point Setup |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP571 Wireless-AC/N Premium Dual Radio Access Point with PoE |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP571E Wireless-AC/N Premium Dual Radio Outdoor Access Point |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAP581 Wireless-AC Dual Radio Wave 2 Access Point with 2.5GbE LAN |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Web Security Appliance (WSA) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex App |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Devices |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Hybrid Data Security Node |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Meetings Server |  | CWMS-3.0MR4SP2, CWMS-4.0MR4SP2, CWMS-3.0MR4SP3, CWMS-4.0MR4SP3 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Video Mesh |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Workforce Optimization |  |  | Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) | Product is End of Software Maintenance - No Fixes Planned. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Wide Area Application Services (WAAS) |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Workload Optimization Manager |  | 3.2.1 | Fixed | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | ConfD |  |  | Not Affected | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Citrix | Citrix ADC (NetScaler ADC) and Citrix Gateway (NetScaler Gateway) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Application Delivery Management (NetScaler MAS) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Cloud Connector |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Connector Appliance for Cloud Services |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Content Collaboration (ShareFile Integration)–Citrix Files for Windows, Citrix Files for Mac, Citrix Files for Outlook |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Endpoint Management (Citrix XenMobile Server) |  | 10.14 RP2, 10.13 RP5, 10.12 RP10 | Fixed | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Hypervisor (XenServer) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix License Server |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix SD-WAN |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Virtual Apps and Desktops (XenApp &amp; XenDesktop) |  | Linux Virtual Delivery Agent 2112 | Fixed | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Workspace App |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | ShareFile Storage Zones Controller |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Claris |  |  |  | Unknown | [link](https://support.claris.com/s/article/CVE-2021-44228-Apache-Log4j-Vulnerability-and-Claris-products?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | AM2CM Tool |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Ambari | Only versions 2.x, 1.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Arcadia Enterprise | Only version 7.1.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDH, HDP, and HDF | Only version 6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDP Operational Database (COD) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDP Private Cloud Base | Only version 7.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDS 3 Powered by Apache Spark | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDS 3.2 for GPUs | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Cybersecurity Platform | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Engineering (CDE) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Engineering (CDE) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Flow (CFM) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Science Workbench (CDSW) | Only versions 2.x, 3.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Visualization (CDV) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Warehouse (CDW) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Warehouse (CDW) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera DataFlow (CDF) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Edge Management (CEM) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Enterprise | Only version 6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Flow Management (CFM) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Machine Learning (CML) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Machine Learning (CML) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR) and Replication Manager) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR) and Replication Manager) | Only versions 7.0.x, 7.1.x, 7.2.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR)) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Runtime (including Cloudera Data Hub and all Data Hub templates) | Only versions 7.0.x, 7.1.x, 7.2.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Stream Processing (CSP) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Streaming Analytics (CSA) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Streaming Analytics (CSA) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Analytics Studio (DAS) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Catalog |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Lifecycle Manager (DLM) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Steward Studio (DSS) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks Data Flow (HDF) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks Data Platform (HDP) | Only versions 7.1.x, 2.7.x, 2.6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks DataPlane Platform |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Management Console | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Management Console for CDP Public Cloud |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Replication Manager |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | SmartSense |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload Manager |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload XM | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload XM (SaaS) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CloudFlare |  |  |  | Unknown | [link](https://blog.cloudflare.com/cve-2021-44228-log4j-rce-0-day-mitigation/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudian HyperStore |  |  |  | Unknown | [link](https://cloudian-support.force.com/s/article/SECURITY-Cloudian-HyperStore-Log4j-vulnerability-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudogu | Ecosystem | All |  | Affected | [link](https://community.cloudogu.com/t/security-vulnerability-log4shell-cve-2021-44228/417) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudogu | SCM-Manager |  |  | Unknown | [link](https://scm-manager.org/blog/posts/2021-12-13-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudron |  |  |  | Unknown | [link](https://forum.cloudron.io/topic/6153/log4j-and-log4j2-library-vulnerability?lang=en-US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Clover |  |  |  | Unknown | [link](https://community.clover.com/articles/35868/apache-log4j-vulnerability-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Code42 | Code42 App |  | 8.8.1 | Fixed | [link](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Code42 | Crashplan |  | All | Fixed | [link](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates) | The CrashPlan app is EOL and is now called Code42.  If you detect CrashPlan installed, it is vulnerable. You can update easily to Code42 8.8.1 or newer. | [https://www.crashplan.com/en-us/business/resources/crashplan-for-small-business-updates-its-desktop-app/](https://www.crashplan.com/en-us/business/resources/crashplan-for-small-business-updates-its-desktop-app/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| CodeBeamer |  |  |  | Unknown | [link](https://codebeamer.com/cb/wiki/19872365) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Codesys |  |  |  | Unknown | [link](https://www.codesys.com/news-events/news/article/log4j-not-used-in-codesys.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cohesity |  |  |  | Unknown | [link](https://support.cohesity.com/s/article/Security-Advisory-Apache-Log4j-Remote-Code-Execution-RCE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CommVault |  |  |  | Unknown | [link](https://documentation.commvault.com/v11/essential/146231_security_vulnerability_and_reporting.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Concourse | Concourse |  |  | Unknown | [link](https://github.com/concourse/concourse/discussions/7887) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ConcreteCMS.com |  |  |  | Unknown | [link](https://www.concretecms.com/about/blog/security/concrete-log4j-zero-day-exploit) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Confluent | Confluent Cloud |  | N/A | Fixed | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent ElasticSearch Sink Connector | &lt;11.1.7 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent for Kubernetes |  |  | Not Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Google DataProc Sink Connector | &lt;1.1.5 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent HDFS 2 Sink Connector | &lt;10.1.3 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent HDFS 3 Sink Connector | &lt;1.1.8 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Kafka Connectors |  |  | Not Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Platform | &lt;7.0.1 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Splunk Sink Connector | &lt;2.05 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent VMWare Tanzu GemFire Sink Connector | &lt;1.0.8 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Connect2id |  |  |  | Unknown | [link](https://connect2id.com/blog/connect2id-server-12-5-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ConnectWise |  |  |  | Unknown | [link](https://www.connectwise.com/company/trust/advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ContrastSecurity |  |  |  | Unknown | [link](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ControlUp |  |  |  | Unknown | [link](https://status.controlup.com/incidents/qqyvh7b1dz8k) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| COPADATA | All |  |  | Unknown | [link](https://www.copadata.com/fileadmin/user_upload/faq/files/InformationReport_CVE_2021_44228.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| CouchBase |  |  |  | Unknown | [link](https://forums.couchbase.com/t/ann-elasticsearch-connector-4-3-3-4-2-13-fixes-log4j-vulnerability/32402) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CPanel |  |  |  | Unknown | [link](https://forums.cpanel.net/threads/log4j-cve-2021-44228-does-it-affect-cpanel.696249/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cradlepoint |  |  |  | Unknown | [link](https://cradlepoint.com/vulnerability-alerts/cve-2021-44228-apache-log4j-security-vulnerabilities/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Crestron |  |  |  | Unknown | [link](https://www.crestron.com/Security/Security_Advisories/Apache-Log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| CrushFTP |  |  |  | Unknown | [link](https://www.crushftp.com/download.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CryptShare |  |  |  | Unknown | [link](https://www.cryptshare.com/en/support/cryptshare-support/#c67572) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CyberArk | Privileged Threat Analytics (PTA) |  | N/A | Fixed | [link](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228) |  | This advisory is available to customers only and has not been reviewed by CISA. | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| Cybereason |  |  |  | Unknown | [link](https://www.cybereason.com/blog/cybereason-solutions-are-not-impacted-by-apache-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CyberRes |  |  |  | Unknown | [link](https://community.microfocus.com/cyberres/b/sws-22/posts/summary-of-cyberres-impact-from-log4j-or-logshell-logjam-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
